/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __MAIN_H__
#define __MAIN_H__

#include <app.h>
#include <dlog.h>
#include <efl_extension.h>
#include <libxml/tree.h>
#include <media_content.h>

#undef DEBUG_SHOW_XML

#define XML_BUF_SIZE 10000
#define APP_ID_LEN   32
#define BUFLEN 200

typedef struct appdata {
    Evas_Object *win;
    Evas_Object *conform;
    Evas_Object *entry;
    Evas_Object *main_box;
    Evas_Object *spinner;
    Evas_Object *image;
    Evas_Object *xml_popup;

    Evas_Object *display_list;
    Eina_List *weather_info_list;

    const char *city;
    char *xml_to_str;
    char buf[XML_BUF_SIZE + 1];
    char app_id[APP_ID_LEN + 1];

    xmlDocPtr doc;

    float temp;
    int humidity;

    char *folder_path;
    int internal_storage_id;
} appdata_s;

#ifndef PACKAGE
#define PACKAGE "$(packageName)"
#endif

#ifdef  LOG_TAG
#undef  LOG_TAG
#endif
#define LOG_TAG "$(appName)"

#endif                           // __MAIN_H__
